pidgin: pluginpref.h File Reference

pidgin 2.14.4

Loading...
Searching...
No Matches
Typedefs | Enumerations
pluginpref.h File Reference
libpurple

Plugin Preferences API. More...

`#include <glib.h>`
`#include "prefs.h"`

Go to the source code of this file.

## Typedefs
typedef struct _PurplePluginPrefFrame | PurplePluginPrefFrame
typedef struct _PurplePluginPref | PurplePluginPref

## Enumerations
enum | PurpleStringFormatType { PURPLE_STRING_FORMAT_TYPE_NONE = 0 , PURPLE_STRING_FORMAT_TYPE_MULTILINE = 1 << 0 , PURPLE_STRING_FORMAT_TYPE_HTML = 1 << 1 }
| String format for preferences. More...
enum | PurplePluginPrefType { PURPLE_PLUGIN_PREF_NONE , PURPLE_PLUGIN_PREF_CHOICE , PURPLE_PLUGIN_PREF_INFO , PURPLE_PLUGIN_PREF_STRING_FORMAT }

## Functions
Plugin Preference API <br>
PurplePluginPrefFrame * | purple_plugin_pref_frame_new (void)
| Create a new plugin preference frame.
void | purple_plugin_pref_frame_destroy (PurplePluginPrefFrame *frame)
| Destroy a plugin preference frame.
void | purple_plugin_pref_frame_add (PurplePluginPrefFrame *frame, PurplePluginPref *pref)
| Adds a plugin preference to a plugin preference frame.
GList * | purple_plugin_pref_frame_get_prefs (PurplePluginPrefFrame *frame)
| Get the plugin preferences from a plugin preference frame.
PurplePluginPref * | purple_plugin_pref_new (void)
| Create a new plugin preference.
PurplePluginPref * | purple_plugin_pref_new_with_name (const char *name)
| Create a new plugin preference with name.
PurplePluginPref * | purple_plugin_pref_new_with_label (const char *label)
| Create a new plugin preference with label.
PurplePluginPref * | purple_plugin_pref_new_with_name_and_label (const char *name, const char *label)
| Create a new plugin preference with name and label.
void | purple_plugin_pref_destroy (PurplePluginPref *pref)
| Destroy a plugin preference.
void | purple_plugin_pref_set_name (PurplePluginPref *pref, const char *name)
| Set a plugin pref name.
const char * | purple_plugin_pref_get_name (PurplePluginPref *pref)
| Get a plugin pref name.
void | purple_plugin_pref_set_label (PurplePluginPref *pref, const char *label)
| Set a plugin pref label.
const char * | purple_plugin_pref_get_label (PurplePluginPref *pref)
| Get a plugin pref label.
void | purple_plugin_pref_set_bounds (PurplePluginPref *pref, int min, int max)
| Set the bounds for an integer pref.
void | purple_plugin_pref_get_bounds (PurplePluginPref *pref, int *min, int *max)
| Get the bounds for an integer pref.
void | purple_plugin_pref_set_type (PurplePluginPref *pref, PurplePluginPrefType type)
| Set the type of a plugin pref.
PurplePluginPrefType | purple_plugin_pref_get_type (PurplePluginPref *pref)
| Get the type of a plugin pref.
void | purple_plugin_pref_add_choice (PurplePluginPref *pref, const char *label, gpointer choice)
| Set the choices for a choices plugin pref.
GList * | purple_plugin_pref_get_choices (PurplePluginPref *pref)
| Get the choices for a choices plugin pref.
void | purple_plugin_pref_set_max_length (PurplePluginPref *pref, unsigned int max_length)
| Set the max length for a string plugin pref.
unsigned int | purple_plugin_pref_get_max_length (PurplePluginPref *pref)
| Get the max length for a string plugin pref.
void | purple_plugin_pref_set_masked (PurplePluginPref *pref, gboolean mask)
| Sets the masking of a string plugin pref.
gboolean | purple_plugin_pref_get_masked (PurplePluginPref *pref)
| Gets the masking of a string plugin pref.
void | purple_plugin_pref_set_format_type (PurplePluginPref *pref, PurpleStringFormatType format)
| Sets the format type for a formattable-string plugin pref.
PurpleStringFormatType | purple_plugin_pref_get_format_type (PurplePluginPref *pref)
| Gets the format type of the formattable-string plugin pref.

## Detailed Description

Plugin Preferences API.

Definition in file pluginpref.h.

## Typedef Documentation

## ◆ PurplePluginPref

typedef struct _PurplePluginPref PurplePluginPref

Definition at line 31 of file pluginpref.h.

## ◆ PurplePluginPrefFrame

typedef struct _PurplePluginPrefFrame PurplePluginPrefFrame

Definition at line 30 of file pluginpref.h.

## Enumeration Type Documentation

## ◆ PurplePluginPrefType

enum PurplePluginPrefType

Enumerator
PURPLE_PLUGIN_PREF_INFO | no-value label
PURPLE_PLUGIN_PREF_STRING_FORMAT | The preference has a string value.

Definition at line 43 of file pluginpref.h.

## ◆ PurpleStringFormatType

enum PurpleStringFormatType

String format for preferences.

Enumerator
PURPLE_STRING_FORMAT_TYPE_NONE | The string is plain text.
PURPLE_STRING_FORMAT_TYPE_MULTILINE | The string can have newlines.
PURPLE_STRING_FORMAT_TYPE_HTML | The string can be in HTML.

Definition at line 36 of file pluginpref.h.

## Function Documentation

## ◆ purple_plugin_pref_add_choice()

void purple_plugin_pref_add_choice | ( | PurplePluginPref * | pref,
|  | const char * | label,
|  | gpointer | choice
| ) |  |

Set the choices for a choices plugin pref.

Parameters

  pref | The plugin pref
  label | The label for the choice
  choice | A gpointer of the choice

## ◆ purple_plugin_pref_destroy()

void purple_plugin_pref_destroy | ( | PurplePluginPref * | pref | ) |

Destroy a plugin preference.

Parameters

  pref | The preference to destroy

## ◆ purple_plugin_pref_frame_add()

void purple_plugin_pref_frame_add | ( | PurplePluginPrefFrame * | frame,
|  | PurplePluginPref * | pref
| ) |  |

Adds a plugin preference to a plugin preference frame.

Parameters

  frame | The plugin frame to add the preference to
  pref | The preference to add to the frame

## ◆ purple_plugin_pref_frame_destroy()

void purple_plugin_pref_frame_destroy | ( | PurplePluginPrefFrame * | frame | ) |

Destroy a plugin preference frame.

Parameters

  frame | The plugin frame to destroy

## ◆ purple_plugin_pref_frame_get_prefs()

GList * purple_plugin_pref_frame_get_prefs | ( | PurplePluginPrefFrame * | frame | ) |

Get the plugin preferences from a plugin preference frame.

Parameters

  frame | The plugin frame to get the plugin preferences from

Note
  The return value of this function must not be modified or freed.

Returns
  a GList of plugin preferences

## ◆ purple_plugin_pref_frame_new()

PurplePluginPrefFrame * purple_plugin_pref_frame_new | ( | void |  | ) |

Create a new plugin preference frame.

Returns
  a new PurplePluginPrefFrame

## ◆ purple_plugin_pref_get_bounds()

void purple_plugin_pref_get_bounds | ( | PurplePluginPref * | pref,
|  | int * | min,
|  | int * | max
| ) |  |

Get the bounds for an integer pref.

Parameters

  pref | The plugin pref
  min | The min value
  max | The max value

## ◆ purple_plugin_pref_get_choices()

GList * purple_plugin_pref_get_choices | ( | PurplePluginPref * | pref | ) |

Get the choices for a choices plugin pref.

Parameters

  pref | The plugin pref

Note
  The return value of this function must not be modified or freed.

Returns
  GList of the choices

## ◆ purple_plugin_pref_get_format_type()

PurpleStringFormatType purple_plugin_pref_get_format_type | ( | PurplePluginPref * | pref | ) |

Gets the format type of the formattable-string plugin pref.

Parameters

  pref | The plugin pref

Returns
  The format of the pref

## ◆ purple_plugin_pref_get_label()

const char * purple_plugin_pref_get_label | ( | PurplePluginPref * | pref | ) |

Get a plugin pref label.

Parameters

  pref | The plugin pref

Returns
  The label for the plugin pref

## ◆ purple_plugin_pref_get_masked()

gboolean purple_plugin_pref_get_masked | ( | PurplePluginPref * | pref | ) |

Gets the masking of a string plugin pref.

Parameters

  pref | The plugin pref

Returns
  The masking

## ◆ purple_plugin_pref_get_max_length()

unsigned int purple_plugin_pref_get_max_length | ( | PurplePluginPref * | pref | ) |

Get the max length for a string plugin pref.

Parameters

  pref | The plugin pref

Returns
  the max length

## ◆ purple_plugin_pref_get_name()

const char * purple_plugin_pref_get_name | ( | PurplePluginPref * | pref | ) |

Get a plugin pref name.

Parameters

  pref | The plugin pref

Returns
  The name of the pref

## ◆ purple_plugin_pref_get_type()

PurplePluginPrefType purple_plugin_pref_get_type | ( | PurplePluginPref * | pref | ) |

Get the type of a plugin pref.

Parameters

  pref | The plugin pref

Returns
  The type

## ◆ purple_plugin_pref_new()

PurplePluginPref * purple_plugin_pref_new | ( | void |  | ) |

Create a new plugin preference.

Returns
  a new PurplePluginPref

## ◆ purple_plugin_pref_new_with_label()

PurplePluginPref * purple_plugin_pref_new_with_label | ( | const char * | label | ) |

Create a new plugin preference with label.

Parameters

  label | The label to be displayed

Returns
  a new PurplePluginPref

## ◆ purple_plugin_pref_new_with_name()

PurplePluginPref * purple_plugin_pref_new_with_name | ( | const char * | name | ) |

Create a new plugin preference with name.

Parameters

  name | The name of the pref

Returns
  a new PurplePluginPref

## ◆ purple_plugin_pref_new_with_name_and_label()

PurplePluginPref * purple_plugin_pref_new_with_name_and_label | ( | const char * | name,
|  | const char * | label
| ) |  |

Create a new plugin preference with name and label.

Parameters

  name | The name of the pref
  label | The label to be displayed

Returns
  a new PurplePluginPref

## ◆ purple_plugin_pref_set_bounds()

void purple_plugin_pref_set_bounds | ( | PurplePluginPref * | pref,
|  | int | min,
|  | int | max
| ) |  |

Set the bounds for an integer pref.

Parameters

  pref | The plugin pref
  min | The min value
  max | The max value

## ◆ purple_plugin_pref_set_format_type()

void purple_plugin_pref_set_format_type | ( | PurplePluginPref * | pref,
|  | PurpleStringFormatType | format
| ) |  |

Sets the format type for a formattable-string plugin pref.

You need to set the pref type to PURPLE_PLUGIN_PREF_STRING_FORMAT first before setting the format.

Parameters

  pref | The plugin pref
  format | The format of the string

## ◆ purple_plugin_pref_set_label()

void purple_plugin_pref_set_label | ( | PurplePluginPref * | pref,
|  | const char * | label
| ) |  |

Set a plugin pref label.

Parameters

  pref | The plugin pref
  label | The label for the plugin pref

## ◆ purple_plugin_pref_set_masked()

void purple_plugin_pref_set_masked | ( | PurplePluginPref * | pref,
|  | gboolean | mask
| ) |  |

Sets the masking of a string plugin pref.

Parameters

  pref | The plugin pref
  mask | The value to set

## ◆ purple_plugin_pref_set_max_length()

void purple_plugin_pref_set_max_length | ( | PurplePluginPref * | pref,
|  | unsigned int | max_length
| ) |  |

Set the max length for a string plugin pref.

Parameters

  pref | The plugin pref
  max_length | The max length of the string

## ◆ purple_plugin_pref_set_name()

void purple_plugin_pref_set_name | ( | PurplePluginPref * | pref,
|  | const char * | name
| ) |  |

Set a plugin pref name.

Parameters

  pref | The plugin pref
  name | The name of the pref

## ◆ purple_plugin_pref_set_type()

void purple_plugin_pref_set_type | ( | PurplePluginPref * | pref,
|  | PurplePluginPrefType | type
| ) |  |

Set the type of a plugin pref.

Parameters

  pref | The plugin pref
  type | The type